********************************************
*
*  This is the SPSS syntax file used for
*  nishizawa&kurimaya paper in Leviathan 46
*
*  The file uses three SPSS datasets:
*   1) jeds2000r3.sav
*   2) Glope2005-07_pre-release_v1-071021.sav
*   3) Waseda-CASI2007_pre-release_v071227.sav
*
*  (c)2010 by Yoshitaka Nishizawa and 
*             Koichi Kuriyama 
*
********************************************.


*fig 1-QƐIAJeds2000.
get file='jeds2000r3.sav'.

missing values
 a26a a26k a26c a26o a26j a26l a26i
 a28a a28k a28c a28o a28j a28l a28i (7,8).
recode
 a26a a26k a26c a26o a26j a26l a26i (1,2=1)(else=copy).
fre 
 a26a a26k a26c a26o a26j a26l a26i
 a28a a28k a28c a28o a28j a28l a28i.




*table 1-Q?uߋ̎QovƁu̎Qӗ~vAGLOPE-CASI2007.
get file='Glope2005-07_pre-release_v1-071021.sav'.

recode
 b13a1 b13a2 b13a3 b13a4 b13a5 b13a6 b13a7 b13a8
 (1=3)(2=1.5)(3=0)(else=9) into p1 to p8.
recode 
 b13b1 b13b2 b13b3 b13b4 b13b5 b13b6 b13b7 b13b8
 (1=1)(2=-1)(else=9) into w1 to w8.
missing values
 p1 to p8 w1 to w8 (9).

sort cases by casi_papi.
* casi_papi: 0 for papi, 1 for casi.

temporary.
split file by casi_papi.
fre
 p1 to p8 w1 to w8.

t-test groups=casi_papi(0 1)
 /var=p1 to p8 w1 to w8.

npar tests m-w=
 p1 to w8
 by casi_papi(0,1).




*table 2-Q?uߋ̎QovƁu̎Qӗ~vAWaseda-CASI&PAPI2007.

get file='Waseda-CASI2007_pre-release_v071227.sav'.

recode
 b15a1 b15a2 b15a3 b15a4 b15a5 b15a6 b15a7 b15a8
 b15a9 b15a10 b15a11 b15a12 b15a13 b15a14 b15a15 b15a16
 (1=3)(2=1.5)(3=0)(else=9) into p1 to p16.
recode
 b15b1 b15b2 b15b3 b15b4 b15b5 b15b6 b15b7 b15b8
 b15b9 b15b10 b15b11 b15b12 b15b13 b15b14 b15b15 b15b16
 (1=1)(2=0)(3=-1)(else=9) into w1 to w16.
missing values p1 to p16 w1 to w16 (9).

sort cases by casipapi.
* casipapi: 1 for casi, 2 for papi.

temporary.
split file by casipapi.
fre
 p1 to p16 w1 to w16.

t-test groups=casipapi(1 2)
 /var=p1 to p16 w1 to w16.

npar tests m-w=
 p1 to w16
 by casipapi(1,2).




*fig 3-QfAWaseda-CASI&PAPI2007.

get file='Waseda-CASI2007_pre-release_v071227.sav'.

****** political attitude.
recode a3 (1=1)(2=.67)(3=.33)(4=0)(else=9) into
 polintA.
missing values polintA (9).

recode a33a a33b a33d a33e (1=0)(2=.25)(3=.5)(4=.75)(5=1)(else=9) into
 efc1 efc2 efc3 efc4.
recode a33c a33f (1=1)(2=.75)(3=.5)(4=.25)(5=0)(else=9) into
 duty efc5.
missing values efc1 to efc5 duty (9).

*** saving missing cases, by replacing missing with the mean.
compute nOFmissing=nmiss(
 efc1,efc2,efc3,efc4,efc5). 
 
compute m_V=mean.2(
 efc1,efc2,efc3,efc4,efc5). 

do repeat
  V  =efc1,efc2,efc3,efc4,efc5 
 /ajV=ajefc1,ajefc2,ajefc3,ajefc4,ajefc5 
 /um = um1,um2,um3,um4,um5.
 compute um=missing(V).
 do if (um eq 1 and nOFmissing le 3).
   compute ajV = m_V.
 else.
   compute ajV = V.
 end if.
end repeat.

execute.

****** willingness or retreatedness.
recode 
 b15a1  b15a2  b15a3  b15a4  b15a5  b15a6  b15a7  b15a8 
 b15a9  b15a10 b15a11 b15a12 b15a13 b15a14 b15a15 b15a16 
 (1=3)(2=1.5)(3=0)(else=9) into
 pp1  pp2  pp3  pp4  pp5  pp6  pp7  pp8
 pp9  pp10 pp11 pp12 pp13 pp14 pp15 pp16. 
recode 
 b15b1  b15b2  b15b3  b15b4  b15b5  b15b6  b15b7  b15b8 
 b15b9  b15b10 b15b11 b15b12 b15b13 b15b14 b15b15 b15b16 
 (1=1)(2=0)(3=-1)(else=9) into
 wl1  wl2  wl3  wl4  wl5  wl6  wl7  wl8
 wl9  wl10 wl11 wl12 wl13 wl14 wl15 wl16. 
missing values
 pp1  pp2  pp3  pp4  pp5  pp6  pp7  pp8
 pp9  pp10 pp11 pp12 pp13 pp14 pp15 pp16 
 wl1  wl2  wl3  wl4  wl5  wl6  wl7  wl8
 wl9  wl10 wl11 wl12 wl13 wl14 wl15 wl16 (9). 

*** saving missing cases, by replacing missing with the mean.
compute nOFmissing=nmiss(
 pp1,pp2,pp3,pp4,pp5,pp6,pp7,pp8,
 pp9,pp10,pp11,pp12,pp13,pp14,pp15,pp16). 
 
compute m_V=mean.2(
 pp1,pp2,pp3,pp4,pp5,pp6,pp7,pp8,
 pp9,pp10,pp11,pp12,pp13,pp14,pp15,pp16). 

do repeat
  V  = pp1,pp2,pp3,pp4,pp5,pp6,pp7,pp8,
       pp9,pp10,pp11,pp12,pp13,pp14,pp15,pp16 
 /ajV= ajpp1,ajpp2,ajpp3,ajpp4,ajpp5,ajpp6,ajpp7,ajpp8,
       ajpp9,ajpp10,ajpp11,ajpp12,ajpp13,ajpp14,ajpp15,ajpp16 
 /um = um1,um2,um3,um4,um5,um6,um7,um8,
       um9,um10,um11,um12,um13,um14,um15,um16.
 compute um=missing(V).
 do if (um eq 1 and nOFmissing le 14).
   compute ajV = m_V.
 else.
   compute ajV = V.
 end if.
end repeat.

*** saving missing cases, by replacing missing with the mean.
compute nOFmissing=nmiss(
 wl1,wl2,wl3,wl4,wl5,wl6,wl7,wl8,
 wl9,wl10,wl11,wl12,wl13,wl14,wl15,wl16). 
 
compute m_V=mean.2(
 wl1,wl2,wl3,wl4,wl5,wl6,wl7,wl8,
 wl9,wl10,wl11,wl12,wl13,wl14,wl15,wl16). 

do repeat
  V  = wl1,wl2,wl3,wl4,wl5,wl6,wl7,wl8,
       wl9,wl10,wl11,wl12,wl13,wl14,wl15,wl16 
 /ajV= ajwl1,ajwl2,ajwl3,ajwl4,ajwl5,ajwl6,ajwl7,ajwl8,
       ajwl9,ajwl10,ajwl11,ajwl12,ajwl13,ajwl14,ajwl15,ajwl16 
 /um = um1,um2,um3,um4,um5,um6,um7,um8,
       um9,um10,um11,um12,um13,um14,um15,um16.
 compute um=missing(V).
 do if (um eq 1 and nOFmissing le 14).
   compute ajV = m_V.
 else.
   compute ajV = V.
 end if.
end repeat.

execute.

*** data extraction for ESM.
**    Note that the extracted file are spss system files.
**    They need to be converted to tab delimitered data 
**    files before being used with Mplus.

compute compSet01=nmiss(
 polintA,
 ajefc1,ajefc2,ajefc3,ajefc4,ajefc5,
 duty, 
 ajpp1,ajpp2,ajpp3,ajpp4,ajpp5,ajpp6,ajpp7,ajpp8,
 ajpp9,ajpp10,ajpp11,ajpp12,ajpp13,ajpp14,ajpp15,ajpp16, 
 ajwl1,ajwl2,ajwl3,ajwl4,ajwl5,ajwl6,ajwl7,ajwl8,
 ajwl9,ajwl10,ajwl11,ajwl12,ajwl13,ajwl14,ajwl15,ajwl16
).
compute good=0.
if (compSet01=0) good=1.

temporary.
select if (good eq 1 and wave eq 1).
save outfile='lv46-casi.sav'
 /keep
 polintA,
 ajefc1,ajefc2,ajefc3,ajefc4,ajefc5,
 duty, 
 ajpp1,ajpp2,ajpp3,ajpp4,ajpp5,ajpp6,ajpp7,ajpp8,
 ajpp9,ajpp10,ajpp11,ajpp12,ajpp13,ajpp14,ajpp15,ajpp16, 
 ajwl1,ajwl2,ajwl3,ajwl4,ajwl5,ajwl6,ajwl7,ajwl8,
 ajwl9,ajwl10,ajwl11,ajwl12,ajwl13,ajwl14,ajwl15,ajwl16
.

temporary.
select if (good eq 1 and wave eq 4).
save outfile='lv46-papi.sav'
 /keep
 polintA,
 ajefc1,ajefc2,ajefc3,ajefc4,ajefc5,
 duty, 
 ajpp1,ajpp2,ajpp3,ajpp4,ajpp5,ajpp6,ajpp7,ajpp8,
 ajpp9,ajpp10,ajpp11,ajpp12,ajpp13,ajpp14,ajpp15,ajpp16, 
 ajwl1,ajwl2,ajwl3,ajwl4,ajwl5,ajwl6,ajwl7,ajwl8,
 ajwl9,ajwl10,ajwl11,ajwl12,ajwl13,ajwl14,ajwl15,ajwl16
.

**********************
 Mplus-ESM is applied to the above 2 data files here.
**********************.
 



*table 3-Qf̓Ă͂܂ƁuCASIʁvAWaseda-CASI&PAPI2007.

****** demography.
recode
 a35 (1=0)(2=1)(else=9) into female.
recode
 b23 (1=0)(2=1)(else=9) into femaleB.
if (wave eq 3 or wave eq 6) female=femaleB.
recode
 a36age (20 thru 96=copy)(else=99) into age.
recode
 b24age (20 thru 96=copy)(else=99) into ageB.
if (wave eq 3 or wave eq 6) age=ageB.
recode
 a39 (1,5=9)(2,6=12)(3,7=14)(4,8=16)(else=99) into educ.
recode
 b27 (1,5=9)(2,6=12)(3,7=14)(4,8=16)(else=99) into educB.
if (wave eq 3 or wave eq 6) educ=educB.
recode
 a41 (3,4=1)(1,2,5,6,7,8=0)(else=9) into jimae.
recode
 b29 (3,4=1)(1,2,5,6,7,8=0)(else=9) into jimaeB.
if (wave eq 3 or wave eq 6) jimae=jimaeB.
missing values age educ (99) /jimae (9).

*** internet usage **************.
recode
 a2 (5,6=9)(else=copy) into internet.
missing values internet (9).

execute.


****** new willingness wl3 (0 thru 3, instead of -1 thru 1,
        to make its range parallel with that of participation).

recode 
 b15b1  b15b2  b15b3  b15b4  b15b5  b15b6  b15b7  b15b8 
 b15b9  b15b10 b15b11 b15b12 b15b13 b15b14 b15b15 b15b16 
(1=3)(2=1.5)(3=0)(else=9) into
 wl3_1  wl3_2  wl3_3  wl3_4  wl3_5  wl3_6  wl3_7  wl3_8
 wl3_9  wl3_10 wl3_11 wl3_12 wl3_13 wl3_14 wl3_15 wl3_16. 
missing values
 wl3_1  wl3_2  wl3_3  wl3_4  wl3_5  wl3_6  wl3_7  wl3_8
 wl3_9  wl3_10 wl3_11 wl3_12 wl3_13 wl3_14 wl3_15 wl3_16
(9). 

*** saving missing cases.
compute nOFmissing=nmiss(
 wl3_1,wl3_2,wl3_3,wl3_4,wl3_5,wl3_6,wl3_7,wl3_8,
 wl3_9,wl3_10,wl3_11,wl3_12,wl3_13,wl3_14,wl3_15,wl3_16). 
 
compute m_V=mean.2(
 wl3_1,wl3_2,wl3_3,wl3_4,wl3_5,wl3_6,wl3_7,wl3_8,
 wl3_9,wl3_10,wl3_11,wl3_12,wl3_13,wl3_14,wl3_15,wl3_16).

do repeat
  V  = wl3_1,wl3_2,wl3_3,wl3_4,wl3_5,wl3_6,wl3_7,wl3_8,
       wl3_9,wl3_10,wl3_11,wl3_12,wl3_13,wl3_14,wl3_15,wl3_16 
 /ajV= ajwl3_1,ajwl3_2,ajwl3_3,ajwl3_4,ajwl3_5,ajwl3_6,ajwl3_7,ajwl3_8,
       ajwl3_9,ajwl3_10,ajwl3_11,ajwl3_12,ajwl3_13,ajwl3_14,ajwl3_15,ajwl3_16 
 /um = um1,um2,um3,um4,um5,um6,um7,um8,
       um9,um10,um11,um12,um13,um14,um15,um16.
 compute um=missing(V).
 do if (um eq 1 and nOFmissing le 14).
   compute ajV = m_V.
 else.
   compute ajV = V.
 end if.
end repeat.

execute.

factor
 var=polintA duty ajefc1 ajefc2 ajefc3 ajefc4 ajefc5
 /save reg (2, atFC).
factor
 var=ajpp2 ajpp3 ajpp4 ajpp5 ajpp6 ajpp7 ajpp8
     ajpp9 ajpp10 ajpp11 ajpp12 ajpp13 ajpp14 ajpp15 ajpp16
 /save reg (2, pp2FC).
factor
 var=ajwl3_2 ajwl3_3 ajwl3_4 ajwl3_5 ajwl3_6 ajwl3_7 ajwl3_8 
     ajwl3_9 ajwl3_10 ajwl3_11 ajwl3_12 ajwl3_13 ajwl3_14 ajwl3_15 ajwl3_16
 /save reg (2, wl2FC).

compute casi=0.
if (casipapi eq 1) casi=1.

compute at1c = atFC1 * casi.
compute at2c = atFC2 * casi.
compute wl2_1c = wl2FC1 * casi.
compute wl2_2c = wl2FC2 * casi.
execute.


*model 1 in Table-3.
reg
 var=pp2FC1 atFC1 atFC2 wl2FC1 internet female age educ jimae 
     casi wl2_1c
 /dep=pp2FC1
 /method=enter.

*model 2 in Table-3.
reg
 var=pp2FC1 atFC1 atFC2 wl2FC1 internet female age educ jimae
     casi at1c
 /dep=pp2FC1
 /method=enter.

*model 3 in Table-3.
reg
 var=pp2FC1 atFC1 atFC2 wl2FC1 internet female age educ jimae
     casi at2c
 /dep=pp2FC1
 /method=enter.

*model 4 in Table-3.
reg
 var=pp2FC2 atFC1 atFC2 wl2FC2 internet female age educ jimae
     casi wl2_2c
 /dep=pp2FC2
 /method=enter.

*model 5 in Table-3.
reg
 var=pp2FC2 atFC1 atFC2 wl2FC2 internet female age educ jimae
     casi at1c
 /dep=pp2FC2
 /method=enter.

*model 6 in Table-3.
reg
 var=pp2FC2 atFC1 atFC2 wl2FC2 internet female age educ jimae
     casi at2c
 /dep=pp2FC2
 /method=enter.

*end of file.